Subject: DR / BDR election on different links configured as on same subnet

From: Delia Kecskemeti <[email-masked]>
Date: Tue, 22 Oct 2002 14:51:21 -0400

Hi,

I need to find out how is OSPF supposed to act in this particular case:
Link between routers R1 and R2 and link between R2 and R3 are configured to
be on the same subnet, say:
a.b.c.x / 24
In my understanding, the DR / BDR mechanism is applied on one broadcast link
to which several routers attach, to minimize number of adjacencies and
network burden on that link.

Should DR and BDR mechanism be also applied to this scenario, that is R1,
R2, R3 would elect a DR and BDR for that subnet a.b.c.0/24. Therefore if R1
and R3 are the DR and BDR, then R2 would duplicate sending of PDUs to both
links, in order to reach both DR and BDR? In my opinion it should not. I am
told that it should, as this would be a particular case of OSPF support for
layer 2 switching. Is there some specification in an RFC about this?

R1-----------R2-----------R3

Thank you very much and have a nice day,
Delia

---

From: Kiran S <[email-masked]>
Date: Wed, 23 Oct 2002 18:47:14 +0900

Hi Delia,

  Your network setup is R1, R2, R3 are in same broadcast domain (eg. in same
VLAN and same subnet)  and R1 and R3 are connected to the two differnet
interfaces/ports of R2 and all belong to the same subnet a.b.c.0   right ?

> R2, R3 would elect a DR and BDR for that subnet a.b.c.0/24.

A common DR and BDR election can be done only if R2 takes the multicast OSPF
packets (eg. hello , DBD, LS packets ) from R1 and forwards to R3 and send
to itself.  Similiarly all the multicast packets from R3 are send to R1 and
to itself. It means to make this a complete broadcast domain of same subnet
for the OSPF routers you need to duplicate all the mulitcast OSPF packets at
R2.  If this is done, a common  DR and BDR election is possible.
we neednot duplicate the unicast OSPF routing packets  It will get routed by
L2 or L3 to the correct interface. right ?
If we donot do this R3 will have only one neighbour (R2) and R1 will also
have only one neighbour (R2). R2 will have two neighbours R1 and R3. And
there will be either "two DRs" or "one DR" in this set up. (If R2 advertises
as DR then R3 and R1 will be BDR. and if R2 is BDR then R1 and R3 will be
DRs.)..

> Therefore if R1
> layer 2 switching.

how can R1 and R3 can become a common DR and BDR without even R2 duplicating
the packets from R1 and from R3. ?  R2 needs to duplicate the incoming OSPF
mulicast routing packets from its interfaces/ports and forward to the other
interfaces/ports of same subnet and send a copy to itself. The OSPF routing
PDUs from R2 will naturally get forwarded to all the interfaces on the same
subnet if it a multicast packet. So there is no need for any new duplication
of the packets from R2 itself.
Am I right ?

> In my opinion it should not. I am
> layer 2 switching.

Please let me know if you have a method to accomplish the common DR/BDR
election without duplicating the packets at R2. Or do you feel there is no
need for it ?

> Is there some specification in an RFC about this?

I also don't find any RFC saying about this. If some body knows, it will be
helpful.

Thanks

Cheers
Kiran

---

From: Acee Lindem <[email-masked]>
Date: Wed, 23 Oct 2002 10:10:03 -0400

Kiran, Delia,

The reason that this setup is not described anywhere is that it is
non-standard. It is uncommon for a router to support multiple
interfaces on the same subnet. If a router does support multiple
interfaces on the same subnet and the topology is broadcast then
the network (not R2) would need to assure that a broadcast/multicast
packet sent by R1 would be received by R3. The forwarding discussed
below is not expected (unless R2 is bridging).

Thanks,
Acee

>>links, in order to reach both DR and BDR? In my opinion it should not. I
>>
> am
>
>>told that it should, as this would be a particular case of OSPF support
>>
> for
>
>>layer 2 switching.
>>
>
>>told that it should, as this would be a particular case of OSPF support
>>
> for
>
>>layer 2 switching.
>>
>
>>Link between routers R1 and R2 and link between R2 and R3 are configured
>>
> to
>
>>In my understanding, the DR / BDR mechanism is applied on one broadcast
>>
> link
>
>>R2, R3 would elect a DR and BDR for that subnet a.b.c.0/24. Therefore if
>>
> R1
>
>>links, in order to reach both DR and BDR? In my opinion it should not. I
>>
> am
>
>>told that it should, as this would be a particular case of OSPF support
>>
> for
>

--
Acee

---

From: Kiran S <[email-masked]>
Date: Thu, 24 Oct 2002 00:06:59 +0900

Acce,

> interfaces on the same subnet.

 I donot know whether you misunderstood by the way I used the term
"interface". The interface which was desribed is not the logical interface
at IP. It is the hardware port. In the case of forming a VLAN , many
hardware ports can join a single VLAN and this VLAN can have a single
subnet. This VLAN is mapped to the logical interface at IP, the interface
you are specifying. This logical IP interface is in a subnet.
So, R1 , R2 , R3 belong to the same subnet and broadcast domain.

I have seen a typical example in metro ethernet network.
It is similiar to the network shown by Delia. R1 and R2 was in a location
and it was in back bone area. R3 is located in a different location.  They
need to connect R3 to the back bone area by connecting it to the GBIC port
of the R2 using optical fibre cable. R2's GBIC port and R3's GBIC port join
same VLAN and has this VLAN belong to the same subnet.  In this case R3
cannot find R1 as a neighbour and R1 cannot find R3 as neigbour,  if R2
doesnot duplicate the OSPF packets and forward to R3 and R1 ports.

Thanks

Cheers
Kiran

----- Original Message -----
From: "Acee Lindem" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, October 23, 2002 11:10 PM
Subject: Re: DR / BDR election on different links configured as on same
subnet

---

From: Acee Lindem <[email-masked]>
Date: Wed, 23 Oct 2002 12:07:17 -0400

Kiran,

What you are describing is one way of bridging and routing on
the same port. I'm sure there are a number of vendors that
support this but people shouldn't be confused into to thinking
that this is normal router forwarding.

Kiran S wrote:

>>>  Your network setup is R1, R2, R3 are in same broadcast domain (eg. in
>>>
> same
>
>>>interfaces/ports of R2 and all belong to the same subnet a.b.c.0   right
>>>
> ?
>
>>>>Should DR and BDR mechanism be also applied to this scenario, that is
>>>>
> R1,
>
>>>A common DR and BDR election can be done only if R2 takes the multicast
>>>
> OSPF
>
>>>packets (eg. hello , DBD, LS packets ) from R1 and forwards to R3 and
>>>
> send
>
>>>to itself.  Similiarly all the multicast packets from R3 are send to R1
>>>
> and
>
>>>to itself. It means to make this a complete broadcast domain of same
>>>
> subnet
>
>>>for the OSPF routers you need to duplicate all the mulitcast OSPF
>>>
> packets at
>
>>>we neednot duplicate the unicast OSPF routing packets  It will get
>>>
> routed by
>
>>>If we donot do this R3 will have only one neighbour (R2) and R1 will
>>>
> also
>
>>>there will be either "two DRs" or "one DR" in this set up. (If R2
>>>
> advertises
>
>>>as DR then R3 and R1 will be BDR. and if R2 is BDR then R1 and R3 will
>>>
> be
>
>>>DRs.)..
>>>
>>>
>>>
>>>>Therefore if R1
>>>>and R3 are the DR and BDR, then R2 would duplicate sending of PDUs to
>>>>
> both
>
>>>how can R1 and R3 can become a common DR and BDR without even R2
>>>
> duplicating
>
>>>the packets from R1 and from R3. ?  R2 needs to duplicate the incoming
>>>
> OSPF
>
>>>mulicast routing packets from its interfaces/ports and forward to the
>>>
> other
>
>>>interfaces/ports of same subnet and send a copy to itself. The OSPF
>>>
> routing
>
>>>PDUs from R2 will naturally get forwarded to all the interfaces on the
>>>
> same
>
>>>subnet if it a multicast packet. So there is no need for any new
>>>
> duplication
>
>>>election without duplicating the packets at R2. Or do you feel there is
>>>
> no
>
>>>need for it ?
>>>
>>>
>>>
>>>I also don't find any RFC saying about this. If some body knows, it will
>>>
> be
>
>>>helpful.
>>>
>>>Thanks
>>>
>>>Cheers
>>>Kiran
>>>
>>>
>>>Subject: DR / BDR election on different links configured as on same
>>>
> subnet
>
>>>
>>>
>>>>Hi,
>>>>
>>>>Should DR and BDR mechanism be also applied to this scenario, that is
>>>>
> R1,
>
>>>>and R3 are the DR and BDR, then R2 would duplicate sending of PDUs to
>>>>
> both
>

--
Acee

---

From: Cheng-Yin Lee <[email-masked]>
Date: Wed, 23 Oct 2002 23:10:24 -0400

Kiran,Delia,
Why don't you view this as routers (R1,R2,R3) peering over a VLAN? I
think it's cleaner to view it this way.

regards
cheng-yin

---

From: Kiran S <[email-masked]>
Date: Thu, 24 Oct 2002 15:14:18 +0900

Cheng-yin,

  Yep... It is R1, R2, R3 peering over a same VLAN and subnet.
The setup will be more clear if we connect all these OSPF routers to a L2
switch or hub.
In this case there will be a common DR/BDR election.
But now the physical connection R1---R2---R3 and all belong to same subnet.

This is a typical network connection, and this network looks logical.
Any RFCs/standard stating how well we can handle this situation ?
Thanks. !

Cheers
Kiran

----- Original Message -----
From: "Cheng-Yin Lee" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, October 24, 2002 12:10 PM
Subject: Re: DR / BDR election on different links configured as on same
subnet

> > >>>>R2, R3 would elect a DR and BDR for that subnet a.b.c.0/24.
Therefore if